/* Produced by CVXGEN, 2020-05-26 13:15:56 -0400.  */
/* CVXGEN is Copyright (C) 2006-2017 Jacob Mattingley, jem@cvxgen.com. */
/* The code in this file is Copyright (C) 2006-2017 Jacob Mattingley. */
/* CVXGEN, or solvers produced by CVXGEN, cannot be used for commercial */
/* applications without prior written permission from Jacob Mattingley. */

/* Filename: testsolver.c. */
/* Description: Basic test harness for solver.c. */
#include "solver.h"
Vars vars;
Params params;
Workspace work;
Settings settings;
#define NUMTESTS 0
int main(int argc, char **argv) {
  int num_iters;
#if (NUMTESTS > 0)
  int i;
  double time;
  double time_per;
#endif
  set_defaults();
  setup_indexing();
  load_default_data();
  /* Solve problem instance for the record. */
  settings.verbose = 1;
  num_iters = solve();
#ifndef ZERO_LIBRARY_MODE
#if (NUMTESTS > 0)
  /* Now solve multiple problem instances for timing purposes. */
  settings.verbose = 0;
  tic();
  for (i = 0; i < NUMTESTS; i++) {
    solve();
  }
  time = tocq();
  printf("Timed %d solves over %.3f seconds.\n", NUMTESTS, time);
  time_per = time / NUMTESTS;
  if (time_per > 1) {
    printf("Actual time taken per solve: %.3g s.\n", time_per);
  } else if (time_per > 1e-3) {
    printf("Actual time taken per solve: %.3g ms.\n", 1e3*time_per);
  } else {
    printf("Actual time taken per solve: %.3g us.\n", 1e6*time_per);
  }
#endif
#endif
  return 0;
}
void load_default_data(void) {
  params.x_final[0] = 0.20319161029830202;
  params.x_final[1] = 0.8325912904724193;
  params.xk_0[0] = -0.8363810443482227;
  params.xk_0[1] = 0.04331042079065206;
  params.d_0[0] = 1.5717878173906188;
  params.d_0[1] = 1.5851723557337523;
  /* Make this a diagonal PSD matrix, even though it's not diagonal. */
  params.Q[0] = 1.1255853104638363;
  params.Q[2] = 0;
  params.Q[1] = 0;
  params.Q[3] = 1.2072428781381868;
  params.uk_0[0] = -1.7941311867966805;
  params.u_optimal[0] = -0.23676062539745413;
  /* Make this a diagonal PSD matrix, even though it's not diagonal. */
  params.R[0] = 1.0298762108785668;
  params.alpha_0[0] = 0.9136664487894222;
  params.alpha_min[0] = 1.2982880952295215;
  /* Make this a diagonal PSD matrix, even though it's not diagonal. */
  params.M[0] = 1.2784872826479754;
  params.xk_1[0] = 0.7050196079205251;
  params.xk_1[1] = 0.3634512696654033;
  params.uk_1[0] = -1.9040724704913385;
  params.alpha_1[0] = 1.117708175981764;
  params.xk_2[0] = -0.9629902123701384;
  params.xk_2[1] = -0.3395952119597214;
  params.uk_2[0] = -0.865899672914725;
  params.alpha_2[0] = 1.3862758366259926;
  params.xk_3[0] = -0.23818512931704205;
  params.xk_3[1] = -1.372529046100147;
  params.uk_3[0] = 0.17859607212737894;
  params.alpha_3[0] = 1.560629529022734;
  params.xk_4[0] = -0.774545870495281;
  params.xk_4[1] = -1.1121684642712744;
  params.uk_4[0] = -0.44811496977740495;
  params.alpha_4[0] = 1.8727672997208609;
  params.xk_5[0] = 1.9039816898917352;
  params.xk_5[1] = 0.6895347036512547;
  params.uk_5[0] = 1.6113364341535923;
  params.alpha_5[0] = 1.6915017425863585;
  params.xk_6[0] = -0.48802383468444344;
  params.xk_6[1] = -1.631131964513103;
  params.uk_6[0] = 0.6136436100941447;
  params.alpha_6[0] = 1.1156815247769019;
  params.xk_7[0] = -0.5537409477496875;
  params.xk_7[1] = -1.0997819806406723;
  params.uk_7[0] = -0.3739203344950055;
  params.alpha_7[0] = 0.9378804973983381;
  params.xk_8[0] = -0.923057686995755;
  params.xk_8[1] = -0.8328289030982696;
  params.uk_8[0] = -0.16925440270808823;
  params.alpha_8[0] = 1.721067825893853;
  params.xk_9[0] = 0.34501161787128565;
  params.xk_9[1] = -0.8660485502711608;
  params.uk_9[0] = -0.8880899735055947;
  params.alpha_9[0] = 0.9092441510438936;
  params.xk_10[0] = -1.17835862158005;
  params.xk_10[1] = -1.1944851558277074;
  params.uk_10[0] = 0.05614023926976763;
  params.alpha_10[0] = 0.17445873756160934;
  params.xk_11[0] = -0.06565787059365391;
  params.xk_11[1] = -0.5512951504486665;
  params.uk_11[0] = 0.8307464872626844;
  params.alpha_11[0] = 1.4934924462040091;
  params.xk_12[0] = 0.7643716874230573;
  params.xk_12[1] = 0.7567216550196565;
  params.uk_12[0] = -0.5055995034042868;
  params.alpha_12[0] = 1.336269609470535;
  params.xk_13[0] = -0.6406053441727284;
  params.xk_13[1] = 0.29117547947550015;
  params.uk_13[0] = -0.6967713677405021;
  params.alpha_13[0] = 0.8902900985270641;
  params.xk_14[0] = -1.753884276680243;
  params.xk_14[1] = -1.0292983112626475;
  params.uk_14[0] = 1.8864104246942706;
  params.alpha_14[0] = 0.46116840871014797;
  params.xk_15[0] = 0.7659100437893209;
  params.xk_15[1] = 0.6019074328549583;
  params.uk_15[0] = 0.8957565577499285;
  params.alpha_15[0] = 0.9501772212688626;
  params.xk_16[0] = 0.38665509840745127;
  params.xk_16[1] = -1.7321223042686946;
  params.uk_16[0] = -1.7097514487110663;
  params.alpha_16[0] = 0.39795205259415667;
  params.xk_17[0] = -1.3925560119658358;
  params.xk_17[1] = -1.5995826216742213;
  params.uk_17[0] = -1.4828245415645833;
  params.alpha_17[0] = 1.106555463615307;
  params.xk_18[0] = -1.248740700304487;
  params.xk_18[1] = 1.808404972124833;
  params.uk_18[0] = 0.7264471152297065;
  params.alpha_18[0] = 1.0820393467195424;
  params.xk_19[0] = 0.8287224032315907;
  params.xk_19[1] = -0.9444533161899464;
  params.uk_19[0] = 1.7069027370149112;
  params.alpha_19[0] = 1.6783861155999413;
  params.xk_20[0] = 0.9052779937121489;
  params.xk_20[1] = -0.07904017565835986;
  params.uk_20[0] = 1.3684127435065871;
  params.alpha_20[0] = 1.4895046468487185;
  params.xk_21[0] = 0.6413036255984501;
  params.xk_21[1] = 1.6559010680237511;
  params.uk_21[0] = 0.5346622551502991;
  params.alpha_21[0] = 0.7318811697052188;
  params.xk_22[0] = 0.2113782926017822;
  params.xk_22[1] = -1.2144776931994525;
  params.uk_22[0] = -1.2317108144255875;
  params.alpha_22[0] = 1.4513392478656417;
  params.xk_23[0] = 1.1397468137245244;
  params.xk_23[1] = 1.8883934547350631;
  params.uk_23[0] = 1.4038856681660068;
  params.alpha_23[0] = 1.0871886531916455;
  params.xk_24[0] = -1.6408365219077408;
  params.xk_24[1] = -0.04450702153554875;
  params.uk_24[0] = 1.7117453902485025;
  params.alpha_24[0] = 1.5752363990069527;
  params.xk_25[0] = -0.05962309578364744;
  params.xk_25[1] = -0.1788825540764547;
  params.uk_25[0] = -1.1280569263625857;
  params.alpha_25[0] = 0.35442676160364717;
  params.xk_26[0] = -1.7055053231225696;
  params.xk_26[1] = 1.56957275034837;
  params.uk_26[0] = 0.5607064675962357;
  params.alpha_26[0] = 0.2866646349426427;
  params.xk_27[0] = -0.3434923211351708;
  params.xk_27[1] = -1.8035643024085055;
  params.uk_27[0] = -1.1625066019105454;
  params.alpha_27[0] = 1.4614162482580766;
  params.xk_28[0] = 0.6044910817663975;
  params.xk_28[1] = -0.0840868104920891;
  params.uk_28[0] = -0.900877978017443;
  params.alpha_28[0] = 1.3044462501323695;
  params.xk_29[0] = 1.8257980452695217;
  params.xk_29[1] = -0.25791777529922877;
  params.uk_29[0] = -1.7194699796493191;
  params.alpha_29[0] = 0.1154629756459351;
  params.xk_30[0] = -1.6685159248097703;
  params.xk_30[1] = 1.8388287490128845;
  params.uk_30[0] = 0.16304334474597537;
  params.alpha_30[0] = 1.6749248653394448;
  params.xk_31[0] = -1.3198658230514613;
  params.xk_31[1] = -0.9586197090843394;
  params.uk_31[0] = 0.7679100474913709;
  params.alpha_31[0] = 1.7911406562839671;
  params.xk_32[0] = -0.6372460621593619;
  params.xk_32[1] = -1.741307208038867;
  params.uk_32[0] = 1.456478677642575;
  params.alpha_32[0] = 0.581744891658952;
  params.xk_33[0] = 0.9643296255982503;
  params.xk_33[1] = -1.367865381194024;
  params.uk_33[0] = 0.7798537405635035;
  params.alpha_33[0] = 1.6828392380622963;
  params.xk_34[0] = 0.9086083149868371;
  params.xk_34[1] = -0.5635699005460344;
  params.uk_34[0] = 0.9067590059607915;
  params.alpha_34[0] = 0.27893424836492065;
  params.xk_35[0] = -0.7447235390671119;
  params.xk_35[1] = -0.32166897326822186;
  params.uk_35[0] = 1.5088481557772684;
  params.alpha_35[0] = 0.307480417142286;
  params.xk_36[0] = 1.5204991609972622;
  params.xk_36[1] = 1.1958572768832156;
  params.uk_36[0] = 1.8864971883119228;
  params.alpha_36[0] = 0.7354059666069208;
  params.xk_37[0] = -1.1802409243688836;
  params.xk_37[1] = -1.037718718661604;
  /* Make this a diagonal PSD matrix, even though it's not diagonal. */
  params.Q_final[0] = 1.8278628014214209;
  params.Q_final[2] = 0;
  params.Q_final[1] = 0;
  params.Q_final[3] = 1.9652281485939154;
  params.delta_t[0] = 1.397619996760847;
  params.c1[0] = 0.9649940835476598;
  params.cos_xk_0[0] = -0.8518009412754686;
  params.c2[0] = 1.6673757686863193;
  params.abs_xk_0[0] = 1.7443590167988519;
  params.Bd[0] = 0.1842631836011832;
  params.cos_xk_1[0] = -1.1362021159208933;
  params.abs_xk_1[0] = 1.663522180915733;
  params.cos_xk_2[0] = 1.3932155883179842;
  params.abs_xk_2[0] = 0.6293059975279947;
  params.cos_xk_3[0] = -0.8828216126125747;
  params.abs_xk_3[0] = 0.86163004403692;
  params.cos_xk_4[0] = 0.15778600105866714;
  params.abs_xk_4[0] = 0.19113363001322714;
  params.cos_xk_5[0] = 1.3476485548544606;
  params.abs_xk_5[0] = 1.069469740702642;
  params.cos_xk_6[0] = 1.0998712601636944;
  params.abs_xk_6[0] = 0.4616725311526537;
  params.cos_xk_7[0] = 1.8611734044254629;
  params.abs_xk_7[0] = 1.5020546146367586;
  params.cos_xk_8[0] = -0.6276245424321543;
  params.abs_xk_8[0] = 1.8970552939199095;
  params.cos_xk_9[0] = 0.8020471158650913;
  params.abs_xk_9[0] = 1.681122170972474;
  params.cos_xk_10[0] = -1.8180107765765245;
  params.abs_xk_10[0] = 0.11128308210337634;
  params.cos_xk_11[0] = 0.9709490941985153;
  params.abs_xk_11[0] = 0.6093728658967841;
  params.cos_xk_12[0] = 0.0671374633729811;
  params.abs_xk_12[0] = 0.31252484734254704;
  params.cos_xk_13[0] = 1.9118096386279388;
  params.abs_xk_13[0] = 1.005502095348839;
  params.cos_xk_14[0] = 1.3160043138989015;
  params.abs_xk_14[0] = 0.1480755925599928;
  params.cos_xk_15[0] = -0.08433819112864738;
  params.abs_xk_15[0] = 0.12455896081155182;
  params.cos_xk_16[0] = 1.536965724350949;
  params.abs_xk_16[0] = 0.8916203574259176;
  params.cos_xk_17[0] = -1.725800326952653;
  params.abs_xk_17[0] = 0.15299256463191413;
  params.cos_xk_18[0] = 0.15517063201268;
  params.abs_xk_18[0] = 0.15113280901046156;
  params.cos_xk_19[0] = -1.264910727950229;
  params.abs_xk_19[0] = 0.872714168333028;
  params.cos_xk_20[0] = -0.008868675926170244;
  params.abs_xk_20[0] = 1.1666238304835148;
  params.cos_xk_21[0] = 0.48205072561962936;
  params.abs_xk_21[0] = 0.7456229992853369;
  params.cos_xk_22[0] = 0.4749463319223195;
  params.abs_xk_22[0] = 0.3144893167702725;
  params.cos_xk_23[0] = -0.8979660982652256;
  params.abs_xk_23[0] = 1.597436541192621;
  params.cos_xk_24[0] = -1.3876427970939353;
  params.abs_xk_24[0] = 0.44664594577147354;
  params.cos_xk_25[0] = -1.0280872812241797;
  params.abs_xk_25[0] = 0.9590146096461338;
  params.cos_xk_26[0] = -1.9970179118324083;
  params.abs_xk_26[0] = 0.06062272104493305;
  params.cos_xk_27[0] = -0.15380739340877803;
  params.abs_xk_27[0] = 0.32504136973303854;
  params.cos_xk_28[0] = 0.7180072150931407;
  params.abs_xk_28[0] = 1.5904091743532769;
  params.cos_xk_29[0] = 0.31265343495084075;
  params.abs_xk_29[0] = 1.3895299543464115;
  params.cos_xk_30[0] = -0.4361679370644853;
  params.abs_xk_30[0] = 0.09259240598589669;
  params.cos_xk_31[0] = -0.24231386948140266;
  params.abs_xk_31[0] = 0.7439606244188794;
  params.cos_xk_32[0] = 0.3880129688013203;
  params.abs_xk_32[0] = 0.2684363393980662;
  params.cos_xk_33[0] = -1.0891484131126563;
  params.abs_xk_33[0] = 1.6295648330545596;
  params.cos_xk_34[0] = -0.9426978934391474;
  params.abs_xk_34[0] = 0.8206404098143265;
  params.cos_xk_35[0] = 1.7438887059831263;
  params.abs_xk_35[0] = 0.5511049260417091;
  params.cos_xk_36[0] = -1.4188401645857445;
  params.abs_xk_36[0] = 1.4040402586629046;
  params.new_EF_0[0] = 1.1341331008825493;
  params.old_EF_0[0] = 1.223187671093194;
  params.disturbance_0[0] = -1.8318765960257055;
  params.Cd_max[0] = 0.8345337895144536;
  params.I[0] = 0.008532868334318877;
  params.old_EF_1[0] = 0.493070937721779;
  params.disturbance_1[0] = 0.8242247343360254;
  params.old_EF_2[0] = 0.12308143184139952;
  params.disturbance_2[0] = -0.8212260055868805;
  params.old_EF_3[0] = 1.9762255056243563;
  params.disturbance_3[0] = 1.884888920907902;
  params.old_EF_4[0] = 0.96369277735941;
  params.disturbance_4[0] = 0.9427735461129836;
  params.old_EF_5[0] = 1.2653115483722779;
  params.disturbance_5[0] = -0.1372277142250531;
  params.old_EF_6[0] = 1.7141328652826393;
  params.disturbance_6[0] = -1.309926991335284;
  params.old_EF_7[0] = 1.656863844488221;
  params.disturbance_7[0] = -1.8317219061667278;
  params.old_EF_8[0] = 1.733907383625597;
  params.disturbance_8[0] = 0.703986349872991;
  params.old_EF_9[0] = 0.8918282198217371;
  params.disturbance_9[0] = 0.6862809905371079;
  params.old_EF_10[0] = 0.9207370077784838;
  params.disturbance_10[0] = 1.1200128895143409;
  params.old_EF_11[0] = 0.2268881677282346;
  params.disturbance_11[0] = 0.0326297153944215;
  params.old_EF_12[0] = 1.7429790798877458;
  params.disturbance_12[0] = 1.71011710324809;
  params.old_EF_13[0] = 0.44067266309662534;
  params.disturbance_13[0] = -0.9922787897815244;
  params.old_EF_14[0] = 1.8080249432179774;
  params.disturbance_14[0] = -0.6179306451394861;
  params.old_EF_15[0] = 0.11374514809743119;
  params.disturbance_15[0] = 0.8595466884481313;
  params.old_EF_16[0] = 0.8288377183067157;
  params.disturbance_16[0] = 0.9412967499805762;
  params.old_EF_17[0] = 0.9541832668867387;
  params.disturbance_17[0] = 0.002262217745727657;
  params.old_EF_18[0] = 0.835123820817179;
  params.disturbance_18[0] = -0.8380604158593941;
  params.old_EF_19[0] = 1.801421734774702;
  params.disturbance_19[0] = 0.675150311940429;
  params.old_EF_20[0] = 1.5776646866859343;
  params.disturbance_20[0] = 1.5829581243724693;
  params.old_EF_21[0] = 0.5003778847787201;
  params.disturbance_21[0] = 1.6792824558896897;
  params.old_EF_22[0] = 1.7252101745171162;
  params.disturbance_22[0] = 0.02434104849994556;
  params.old_EF_23[0] = 1.1358043482880613;
  params.disturbance_23[0] = -1.5402710478528858;
  params.old_EF_24[0] = 1.5242316811155372;
  params.disturbance_24[0] = -1.3070999712627054;
  params.old_EF_25[0] = 1.067672082011819;
  params.disturbance_25[0] = -1.4942507790851232;
  params.old_EF_26[0] = 0.1458341871643145;
  params.disturbance_26[0] = 0.436109775042258;
  params.old_EF_27[0] = 0.98240625923136;
  params.disturbance_27[0] = 0.6992397389570906;
  params.old_EF_28[0] = 1.5817083661085687;
  params.disturbance_28[0] = 1.9307499705822648;
  params.old_EF_29[0] = 0.16816136215336264;
  params.disturbance_29[0] = 0.5248484497343218;
  params.old_EF_30[0] = 1.1539497907628957;
  params.disturbance_30[0] = 0.602568707166812;
  params.old_EF_31[0] = 1.0863589096287594;
  params.disturbance_31[0] = 0.2294695501208066;
  params.old_EF_32[0] = 1.7371092672809771;
  params.disturbance_32[0] = -0.1919535345136989;
  params.old_EF_33[0] = 1.0699511572607228;
  params.disturbance_33[0] = 0.7638548150610602;
  params.old_EF_34[0] = 0.17898998279021772;
  params.disturbance_34[0] = -0.27229872445076087;
  params.old_EF_35[0] = 0.2042684414089766;
  params.disturbance_35[0] = -1.4487604283558668;
  params.old_EF_36[0] = 0.004251116931818011;
  params.disturbance_36[0] = -1.1611742553535152;
  params.lambda[0] = 0.43327452487646845;
  params.omega_0[0] = 1.0324889624688858;
  params.u_max[0] = 1.1404164769804863;
  params.L[0] = 1.6479223610064944;
  params.grav_term[0] = 0.9734223776463142;
  params.Cd[0] = 1.7829091978435834;
  params.x_dot_max[0] = 0.7901215795503316;
  params.delta_u_max[0] = 1.489222894168885;
  params.last_u[0] = 1.1055145248347646;
  params.alpha_max[0] = 1.2476501715446522;
  params.delta_alpha_max[0] = 0.5407839937666252;
  params.last_alpha[0] = 1.875190015879578;
  params.omega_max[0] = 1.5393094307157957;
}
